POSTeth_newFilter

Tron Mainnethttps://tron-mainnet.nodit.io/

Registers log query conditions to create a filter and returns the filter ID. Query the created filter with eth_getFilterChanges or eth_getFilterLogs.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required

It contains following parameter in order:

  1. filterOptions: The log query conditions, as an object. (required)
params[0]object
fromBlockstring

The block number to start searching from, or the latest tag.

toBlockstring

The block number to stop searching at, or the latest tag.

addressstring[]

The contract address or list of addresses that emitted the logs.

The list of contract addresses.

topicsobject[]

The list of topics to query. Their order is significant, and each position may contain null or an array of OR conditions.

Responses

No response body.

X-API-KEY
RequestCU18
cURL
curl -X POST "https://tron-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
    "id": 1,
    "jsonrpc": "2.0",
    "method": "eth_newFilter",
    "params": [
      {
        "fromBlock": "0x989680",
        "toBlock": "0x9959d0",
        "address": [
          "0xcc2e32f2388f0096fae9b055acffd76d4b3e5532"
        ],
        "topics": [
          "0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef"
        ]
      }
    ]
  }'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": "0x2bab51aee6345d2748e0a4a3f4569d80"
}